> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a group of line items

> Delete a group of existing line items. Up to 100 line items can be deleted in a single request. Note: This action cannot be undone. Deleted line items cannot be updated and there is no way to restore them.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['e-commerce']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-line-items-v1.json POST /crm-objects/v1/objects/line_items
openapi: 3.0.0
info:
  title: CRM Line Items API v1
  version: 1.0.0
  description: >-
    Use the line items API to add instances of products to deals and quotes. You
    can create line items from existing products or create them as custom line
    items with no product attached.
  x-hubspot-introduction: >-
    Use the line items API to add instances of products to deals and quotes. You
    can create line items from existing products or create them as custom line
    items with no product attached.
  x-hubspot-api-use-case: >-
    When creating a set of quotes for sales reps to send to potential buyers,
    use this API to add goods and services to the quotes.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /crm-objects/v1/objects/line_items:
    post:
      summary: Delete a group of line items
      description: >-
        Delete a group of existing line items. Up to 100 line items can be
        deleted in a single request. Note: This action cannot be undone. Deleted
        line items cannot be updated and there is no way to restore them.
      operationId: postcrmobjectsv1objectslineitems
      responses:
        '200':
          description: Successful response - Delete a group of existing line items
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Delete a group of line items - Example 1
                  value:
                    - name: hs_product_id
                      value: '1642736'
                    - name: quantity
                      value: '50'
                    - name: price
                      value: '9.50'
                    - name: name
                      value: >-
                        A custom name for the product for this line item.
                        Discounting 5% on bulk purchase.
                    - versions:
                        - name: amount
                          value: '475.00'
                          timestamp: 0
                          sourceId: LineItemAmountCalculator
                          source: CALCULATED
                          sourceVid: []
                      value: '475.00'
                      timestamp: 0
                      source: CALCULATED
                      sourceId: LineItemAmountCalculator
                    - versions:
                        - name: quantity
                          value: '50'
                          timestamp: 1525368534412
                          source: API
                          sourceVid: []
                      value: '50'
                      timestamp: 1525368534412
                      source: API
                      sourceId: null
                    - versions:
                        - name: hs_lastmodifieddate
                          value: '0'
                          timestamp: 0
                          source: CALCULATED
                          sourceVid: []
                      value: '0'
                      timestamp: 0
                      source: CALCULATED
                      sourceId: null
                    - versions:
                        - name: price
                          value: '9.50'
                          timestamp: 1525368534412
                          source: API
                          sourceVid: []
                      value: '9.50'
                      timestamp: 1525368534412
                      source: API
                      sourceId: null
                    - versions:
                        - name: name
                          value: >-
                            A custom name for the product for this line item.
                            Discounting 5% on bulk purchase.
                          timestamp: 1525368534412
                          source: API
                          sourceVid: []
                      value: >-
                        A custom name for the product for this line item.
                        Discounting 5% on bulk purchase.
                      timestamp: 1525368534412
                      source: API
                      sourceId: null
                    - versions:
                        - name: createdate
                          value: '0'
                          timestamp: 0
                          source: API
                          sourceVid: []
                      value: '0'
                      timestamp: 0
                      source: API
                      sourceId: null
                    - versions:
                        - name: description
                          value: This product has an updated description and price.
                          timestamp: 1525287810508
                          source: API
                          sourceVid: []
                      value: This product has an updated description and price.
                      timestamp: 1525287810508
                      source: API
                      sourceId: null
                    - versions:
                        - name: hs_product_id
                          value: '1642736'
                          timestamp: 1525368534412
                          source: API
                          sourceVid: []
                      value: '1642736'
                      timestamp: 1525368534412
                      source: API
                      sourceId: null
      security:
        - oauth2:
            - e-commerce
        - oauth2_legacy: []
        - private_apps:
            - e-commerce
        - private_apps_legacy: []
components: {}

````